net.i2p.router.startup

## Class LoadClientAppsJob.DelayedRunClient

- java.lang.Object
- - net.i2p.util.SimpleTimer2.TimedEvent
  - - net.i2p.router.startup.LoadClientAppsJob.DelayedRunClient

- All Implemented Interfaces:
    Runnable
  Enclosing class:
    LoadClientAppsJob

      public static class LoadClientAppsJob.DelayedRunClient
      extends SimpleTimer2.TimedEvent

  Public for router console only, not for use by others, subject to change

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RouterContext` | `_ctx`

    - ### Fields inherited from class net.i2p.util.SimpleTimer2.TimedEvent

      `_state, DEFAULT_FUZZ`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelayedRunClient(SimpleTimer2 pool, RouterContext enclosingContext, String className, String clientName, String[] args)` caller MUST call schedule()
    `DelayedRunClient(SimpleTimer2 pool, RouterContext enclosingContext, String className, String clientName, String[] args, ThreadGroup threadGroup, ClassLoader cl)` caller MUST call schedule()

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `timeReached()` Simple interface for events to be queued up and notified on expiration the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)

    - ### Methods inherited from class net.i2p.util.SimpleTimer2.TimedEvent

      `cancel, forceReschedule, reschedule, reschedule, run, schedule, setFuzz, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _ctx

          protected final RouterContext _ctx

  - ### Constructor Detail

    - #### DelayedRunClient

          public DelayedRunClient(SimpleTimer2 pool,
                                  RouterContext enclosingContext,
                                  String className,
                                  String clientName,
                                  String[] args)

      caller MUST call schedule()

    - #### DelayedRunClient

          public DelayedRunClient(SimpleTimer2 pool,
                                  RouterContext enclosingContext,
                                  String className,
                                  String clientName,
                                  String[] args,
                                  ThreadGroup threadGroup,
                                  ClassLoader cl)

      caller MUST call schedule()

  - ### Method Detail

    - #### timeReached

          public void timeReached()

      Description copied from class: `SimpleTimer2.TimedEvent`
      Simple interface for events to be queued up and notified on expiration the time requested has been reached (this call should NOT block, otherwise the whole SimpleTimer gets backed up)
      Specified by:
        `timeReached` in class `SimpleTimer2.TimedEvent`